Package Details: s 0.5.15-2

Git Clone URL: https://aur.archlinux.org/s.git (read-only, click to copy)
Package Base: s
Description: Web search from the terminal. Supports over 50 providers including google, github, and stackoverflow.
Upstream URL: http://github.com/zquestz/s
Licenses: MIT
Provides: s
Submitter: quest
Maintainer: quest
Last Packager: quest
Votes: 22
Popularity: 0.014584
First Submitted: 2016-01-24 09:39
Last Updated: 2021-03-08 09:52

Latest Comments

1 2 Next › Last »

Kr1ss commented on 2021-03-08 09:53

Thank you !

Kr1ss commented on 2021-03-07 13:33

Hey @quest, thx a lot for maintaining, and for the latest update !

Would you mind to include the shell completion for fish in the package, and maybe the readme ?

  install -Dm644 "autocomplete/s.fish" \
    "${pkgdir}/usr/share/fish/vendor_completions.d/s.fish"
  install -Dm644 "README.md" \
    "${pkgdir}/usr/share/doc/${pkgname}/README.md"

Cheers !

GFdevelop commented on 2019-12-07 12:01

Connection timeout:

2019/12/07 12:54:20 fetching golang.org/x/text/language
2019/12/07 12:54:20 fetching golang.org/x/text/unicode/cldr
2019/12/07 12:54:22 fetching gopkg.in/yaml.v2
fatal: impossibile accedere a 'https://gopkg.in/yaml.v2/': Failed to connect to gopkg.in port 443: Connessione scaduta
2019/12/07 12:58:40 gopkg.in/yaml.v2: dependency could not be processed: vcs probe failed, tried: https://gopkg.in/yaml.v2
2019/12/07 12:58:40 command "restore" failed: failed to fetch 1 dependencies

srand commented on 2017-05-06 08:13

Yes, 0.5.10-5 builds fine. Thanks :)
One last nitpick, provides=("s=${pkgver}") isn't needed

quest commented on 2017-05-06 07:53

Does this work for you now?

srand commented on 2017-05-06 07:22

0.5.10-3 installs gvt to ~/go/ and errors out with gvt command not found.
you should probably set $GOPATH for those who don't have a go development environment installed.

quest commented on 2017-05-06 06:47

Ok this should actually use the tarball and not use go get from git. =)

quest commented on 2017-05-06 06:36

Yep I see what you mean. I can fix that shortly.

srand commented on 2017-05-06 06:30

Btw, while you're at it - i've noticed that you're downloading the tar but aren't actually using it in build()
https://wiki.archlinux.org/index.php/Go_package_guidelines

quest commented on 2017-05-06 04:06

Done, and fixed a small bug with --tag autocompletion. =)